LibItsGeoNetworking__TestSystem::GeoNetworkingPort Class Reference

`#include <GeoNetworkingPort.hh>`

Inheritance diagram for LibItsGeoNetworking__TestSystem::GeoNetworkingPort:

## Public Member Functions

| GeoNetworkingPort (const char *par_port_name=NULL)
| ~GeoNetworkingPort ()
void | set_parameter (const char *parameter_name, const char *parameter_value)
void | receiveMsg (const LibItsGeoNetworking__TestSystem::GeoNetworkingInd &, const Params &)

## Protected Member Functions

void | user_map (const char *system_port)
void | user_unmap (const char *system_port)
void | user_start ()
void | user_stop ()
void | outgoing_send (const GeoNetworkingReq &send_par)

## Private Member Functions

void | Handle_Fd_Event_Error (int fd)
void | Handle_Fd_Event_Writable (int fd)
void | Handle_Fd_Event_Readable (int fd)

## Private Attributes

Params | _cfg_params
Params | _layer_params
layer * | _layer
std::string | _time_key

## Constructor & Destructor Documentation

## GeoNetworkingPort()

LibItsGeoNetworking__TestSystem::GeoNetworkingPort::GeoNetworkingPort | ( | const char * | par_port_name = `NULL` | ) |

## ~GeoNetworkingPort()

LibItsGeoNetworking__TestSystem::GeoNetworkingPort::~GeoNetworkingPort | ( |  | ) |

## Member Function Documentation

## Handle_Fd_Event_Error()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::Handle_Fd_Event_Error | ( | int | fd | ) |

private

## Handle_Fd_Event_Readable()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::Handle_Fd_Event_Readable | ( | int | fd | ) |

private

## Handle_Fd_Event_Writable()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::Handle_Fd_Event_Writable | ( | int | fd | ) |

private

## outgoing_send()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::outgoing_send | ( | const GeoNetworkingReq & | send_par | ) |

protected

## receiveMsg()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::receiveMsg | ( | const LibItsGeoNetworking__TestSystem::GeoNetworkingInd & | p_ind,
|  | const Params & | p_params
| ) |  |

## set_parameter()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::set_parameter | ( | const char * | parameter_name,
|  | const char * | parameter_value
| ) |  |

## user_map()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::user_map | ( | const char * | system_port | ) |

protected

## user_start()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::user_start | ( |  | ) |

protected

## user_stop()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::user_stop | ( |  | ) |

protected

## user_unmap()

void LibItsGeoNetworking__TestSystem::GeoNetworkingPort::user_unmap | ( | const char * | system_port | ) |

protected

## Member Data Documentation

## _cfg_params

Params LibItsGeoNetworking__TestSystem::GeoNetworkingPort::_cfg_params

private

## _layer

layer* LibItsGeoNetworking__TestSystem::GeoNetworkingPort::_layer

private

## _layer_params

Params LibItsGeoNetworking__TestSystem::GeoNetworkingPort::_layer_params

private

## _time_key

std::string LibItsGeoNetworking__TestSystem::GeoNetworkingPort::_time_key

private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/include/GeoNetworkingPort.hh
- /home/vagrant/TriesAndDelete/etsi_its/src/TestCodec/src/GeoNetworkingPort.cc